## ros-humble-turtlebot3 2.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlebot3)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-turtlebot3 (2.1.5-1jammy) jammy; urgency=high

  * ROS2 Humble Hawksbill supported
  * revise ROS2 Cartographer excutable & name

 -- Will Son <willson@robotis.com>  Wed, 25 May 2022 15:00:00 -0000

ros-humble-turtlebot3 (2.1.4-1jammy) jammy; urgency=high

  * add LDS-02 support

 -- Will Son <willson@robotis.com>  Mon, 07 Feb 2022 15:00:00 -0000

ros-humble-turtlebot3 (2.1.3-1jammy) jammy; urgency=high

  * ROS 2 Rolling Ridley supported
  * fix ambiguous ParameterValue calls (#748, #736)
  * fix RViz2 Cartographer default config
  * Contributors: m2-farzan, Will Son

 -- Will Son <willson@robotis.com>  Wed, 01 Sep 2021 15:00:00 -0000

ros-humble-turtlebot3 (2.1.2-1jammy) jammy; urgency=high

  * use static param types for Galactic
  * fix SensorState msg
  * rename and update nav2 params
  * modify robot_state_publisher
  * fix odometry bug
  * Contributors: jhbirdchoi, David Park, Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 06 Apr 2021 15:00:00 -0000

ros-humble-turtlebot3 (2.1.1-1jammy) jammy; urgency=high

  * Nav2 prefix filename removed
  * turtlebot3.repos updated to target correct distro
  * galactic-devel branch created
  * Eloquent EOL
  * Contributors: Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 05 Jan 2021 15:00:00 -0000

ros-humble-turtlebot3 (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Enable Windows port
  * Contributors: Ryan, Ashe, Sean Yen

 -- Will Son <willson@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-humble-turtlebot3 (2.0.1-1jammy) jammy; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Added missing exec_depend for nav2_bringup
  * Modified dependency packages
  * Contributors: Ruffin, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-humble-turtlebot3 (2.0.0-1jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Removed ament_export_dependency(xacro) #462 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/462>
  * Added use_sim_time parameter for rviz2 #456 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/456>
  * Fixed ROS2 dependencies and library install #454 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/454>
  * Fixed turtlebot3.repos #447 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/447> #432 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/432>
  * Fixed scan rate to 5hz #418 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/418>
  * Initialized joint states variables #411 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/411>
  * Updated map.yaml #386 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/386>
  * Contributors: Matt Hansen, Alberto Soragna, Carl Delsey, sousou1, Emerson Knapp, Mikael Arguedas, Ross Desmond, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3 (1.2.2-1jammy) jammy; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3 (1.2.1-1jammy) jammy; urgency=high

  * Fixed typo #436 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/436>
  * Fixed ROS_ASSERT bug #416 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/416>
  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Added turtlebot3_remote.launch to turtlebot3_model.launch #389 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/389>
  * Contributors: Jonathan Hechtbauer, Pallav Bhalla, ant, Ryan Shim, Kayman, Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-humble-turtlebot3 (1.2.0-1jammy) jammy; urgency=high

  * changed math.ceil() operation #373 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/373>
  * fixed TypeError integers
  * fixed read of scanned samples when there isn't 360
  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * added windows port #358 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/358>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Steven Macenski, Eduardo Avelar, Sean Yen, Pyo

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-humble-turtlebot3 (1.1.0-1jammy) jammy; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * added odometrySource
  * modified camera topic name
  * modified base_scan update_rate and add param on diff_drive #258
  * modified the laser scanner update_rate in the gazebo xacro files #258
  * modified origin of collision in Waffle URDF
  * updated turtlebot3_diagnostic node
  * updated firmware version from 1.2.0 to 1.2.2
  * updated get firmware version
  * updated version check function
  * updated warn msg for version check
  * deleted unused get_scan function #227
  * Contributors: Darby Lim, Gilbert, Eduardo Avelar, shtseng, Pyo

 -- Will Son <willson@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-humble-turtlebot3 (1.0.0-1jammy) jammy; urgency=high

  * added cartographer
  * added hector mapping
  * added karto SLAM
  * added frontier_exploration
  * added launch files to run various SLAMs
  * added robot model for OpenManipulator and turtlebot3_autorace
  * added exec python nodes like marker_server in catkin_install_python
  * added frameName for imu on gazebo (however, there is no effect.)
  * added variable to check version only once (turtlebot3_bringup)


=== debian/control ===
Source: ros-humble-turtlebot3
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-humble-turtlebot3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-turtlebot3-bringup, ros-humble-turtlebot3-cartographer, ros-humble-turtlebot3-description, ros-humble-turtlebot3-example, ros-humble-turtlebot3-navigation2, ros-humble-turtlebot3-node, ros-humble-turtlebot3-teleop, ros-humble-ros-workspace
Description: ROS 2 packages for TurtleBot3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot3//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
